Data Hub
Runs

Get a run

Requires scope `runs:read`.

GET
/instruments/{instrumentId}/runs/{runId}

Requires scope runs:read.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

instrumentId*string
runId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/instruments/plate-reader/runs/run-2026-001"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "instrument_id": "string",  "instrument_display_name": "string",  "run_id": "string",  "source": "lambda",  "watcher_id": "27df7c14-b173-4f02-8a23-1addd1027920",  "created_at": "2019-08-24T14:15:22Z",  "acquired_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "deleted_at": "2019-08-24T14:15:22Z",  "deleted_by": "string",  "metadata": {    "property1": null,    "property2": null  },  "attributions": [    {      "userId": "string",      "displayName": "string",      "initials": "string",      "avatarUrl": "string"    }  ],  "files": [    {      "id": 0,      "filename": "string",      "relative_path": "string",      "s3_key": "string",      "content_type": "string",      "size_bytes": 0,      "category": "raw",      "status": "detected",      "metadata": {        "property1": null,        "property2": null      },      "error_message": "string",      "detected_at": "2019-08-24T14:15:22Z",      "upload_requested_at": "2019-08-24T14:15:22Z",      "uploaded_at": "2019-08-24T14:15:22Z",      "processed_at": "2019-08-24T14:15:22Z",      "download_url": "http://example.com",      "created_at": "2019-08-24T14:15:22Z",      "file_created_at": "2019-08-24T14:15:22Z"    }  ]}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}